﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace SilverlightApplication31.ViewModel
{
    public class Person:INotifyPropertyChanged
    {
        string name = string.Empty;
        public string Name
        {
            get { return name; }
            set
            {
                name = value;
                NotifyPropertyChanged("Name");
            }
        }

        bool expand = false;
        public bool Expand
        {
            get { return expand; }
            set
            {
                expand = value;
                NotifyPropertyChanged("Expand");
            }
        }
        bool married = false;
        public bool Married
        {
            get { return married; }
            set
            {
                married = value;
                NotifyPropertyChanged("Married");
            }
        }

    

        ObservableCollection<Person> children = new ObservableCollection<Person>();
        public ObservableCollection<Person> Children
        {
            get { return children; }
            set { children = value;
            NotifyPropertyChanged("Children");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }
}
